## ros-noetic-cob-interactive-teleop 0.6.31

=== debian/changelog ===
ros-noetic-cob-interactive-teleop (0.6.31-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.30-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.29-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.28-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.27-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.26-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.25-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.24-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.23-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.22-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.21-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.20-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 24 Jan 2021 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.19-1buster) buster; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.18-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.17-1buster) buster; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.16-1buster) buster; urgency=high

  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.15-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.14-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 06 Aug 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.13-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.12-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.11-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.10-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.9-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.8-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.7-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #199 <https://github.com/ipa320/cob_command_tools/issues/199> from ipa320/ipa-rmb-patch-1
    Changed maintainer
  * Changed maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.6-1buster) buster; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.5-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.4-1buster) buster; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.3-1buster) buster; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency for boost
  * remove obsolete autogenerated mainpage.dox files


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-interactive-teleop//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-cob-interactive-teleop 0.6.32

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_interactive_teleop)

find_package(catkin REQUIRED COMPONENTS geometry_msgs interactive_markers roscpp std_msgs tf visualization_msgs)

catkin_package(
  CATKIN_DEPENDS geometry_msgs roscpp std_msgs tf visualization_msgs
)

### Build ###
include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(interactive_teleop src/${PROJECT_NAME}.cpp src/interactive_markers_tools.cpp src/teleop_cob_marker.cpp)
add_dependencies(interactive_teleop ${catkin_EXPORTED_TARGETS})
target_link_libraries(interactive_teleop ${catkin_LIBRARIES})

### Install ###
install(TARGETS interactive_teleop
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-cob-interactive-teleop (0.6.32-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.31-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.30-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.29-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.28-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.27-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.26-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.25-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.24-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.23-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.22-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.21-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.20-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 24 Jan 2021 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.19-1focal) focal; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.18-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.17-1focal) focal; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.16-1focal) focal; urgency=high

  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.15-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.14-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 06 Aug 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.13-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.12-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.11-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.10-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.9-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.8-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.7-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #199 <https://github.com/ipa320/cob_command_tools/issues/199> from ipa320/ipa-rmb-patch-1
    Changed maintainer
  * Changed maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.6-1focal) focal; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.5-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.4-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-interactive-teleop (0.6.3-1focal) focal; urgency=high

  * boost revision


=== debian/control ===
Source: ros-noetic-cob-interactive-teleop
Section: misc
Priority: optional
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-interactive-markers, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: http://ros.org/wiki/cob_interactive_teleop
Standards-Version: 3.9.2

Package: ros-noetic-cob-interactive-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-interactive-markers, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: COB teleop interactive marker for RViz provided by dcgm-robotics@FIT group.
